Package com.google.android.exoplayer2.audio

## Class AudioSink.UnexpectedDiscontinuityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.android.exoplayer2.audio.AudioSink.UnexpectedDiscontinuityException

- All Implemented Interfaces:
    `Serializable`
  Enclosing interface:
    AudioSink

      public static final class AudioSink.UnexpectedDiscontinuityException
      extends Exception

  Thrown when the sink encounters an unexpected timestamp discontinuity.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `actualPresentationTimeUs` | The actual presentation time of a sample, in microseconds.
    `long` | `expectedPresentationTimeUs` | The expected presentation time of a sample, in microseconds.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnexpectedDiscontinuityException​(long actualPresentationTimeUs, long expectedPresentationTimeUs)` | Creates an instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### actualPresentationTimeUs

          public final long actualPresentationTimeUs

      The actual presentation time of a sample, in microseconds.

    - #### expectedPresentationTimeUs

          public final long expectedPresentationTimeUs

      The expected presentation time of a sample, in microseconds.

  - ### Constructor Detail

    - #### UnexpectedDiscontinuityException

          public UnexpectedDiscontinuityException​(long actualPresentationTimeUs,
                                                  long expectedPresentationTimeUs)

      Creates an instance.
      Parameters:
        `actualPresentationTimeUs` - The actual presentation time of a sample, in microseconds.
        `expectedPresentationTimeUs` - The expected presentation time of a sample, in microseconds.